GNU bug report logs - #23774
25.1.50; NS port cursor hides character beneath

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Alan Third <alan@HIDDEN>; Keywords: fixed; dated Wed, 15 Jun 2016 19:19:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug No longer marked as fixed in versions 26.1 and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug marked as fixed in version 26.1, send any further explanations to 23774 <at> debbugs.gnu.org and Alan Third <alan@HIDDEN> Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Jun 2016 19:18:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 15 15:18:58 2016
Received: from localhost ([127.0.0.1]:42598 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bDGL4-0007M7-Dv
	for submit <at> debbugs.gnu.org; Wed, 15 Jun 2016 15:18:58 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41370)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1bDGL2-0007Lt-OE
 for submit <at> debbugs.gnu.org; Wed, 15 Jun 2016 15:18:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <athird@HIDDEN>) id 1bDGKw-0003Kn-3t
 for submit <at> debbugs.gnu.org; Wed, 15 Jun 2016 15:18:51 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:59222)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <athird@HIDDEN>) id 1bDGKv-0003Kh-WC
 for submit <at> debbugs.gnu.org; Wed, 15 Jun 2016 15:18:50 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60560)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <athird@HIDDEN>) id 1bDGKt-0002Y2-CB
 for bug-gnu-emacs@HIDDEN; Wed, 15 Jun 2016 15:18:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <athird@HIDDEN>) id 1bDGKq-0003K6-Vs
 for bug-gnu-emacs@HIDDEN; Wed, 15 Jun 2016 15:18:46 -0400
Received: from mail-wm0-x22c.google.com ([2a00:1450:400c:c09::22c]:37427)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <athird@HIDDEN>) id 1bDGKq-0003Jx-HA
 for bug-gnu-emacs@HIDDEN; Wed, 15 Jun 2016 15:18:44 -0400
Received: by mail-wm0-x22c.google.com with SMTP id a66so26589291wme.0
 for <bug-gnu-emacs@HIDDEN>; Wed, 15 Jun 2016 12:18:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=sender:from:to:subject:date:message-id:mime-version;
 bh=q+LtmpNe6HhQsixs+KxpILH1FvD4Fdr5ybd5i8L+ARw=;
 b=qxobg23gP0m9v+DvnWIRIlLb72okl4jVZL5P3zbZufDNddygN/TxYIPneTBwerWvu/
 2f7DSEJ+Y0OTRhj+k4wdEsFC7sOr33UpbpuX+hLq6XfniI5ViwRaYE4KLQ1ROeGwbtqP
 c2cD8xiz3z6FHKcreuPs1EAv3KxNpKxtgkcAaOZdgrBCo1SCKvjIn4vvENkPqhNHYUc4
 7PCjzsVQjnIMhQVxaba05nB5mpQUR+dbEQ16LJ/df04bzTNmuvUFT1JusNjmxEotWSLr
 WKkZIkWJeOVdHFCDTQFET0xQdXyGI8V2ItOUeOQV5X3JpH3zVYzfzhExh/exXhay3rHs
 H/2g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:from:to:subject:date:message-id
 :mime-version;
 bh=q+LtmpNe6HhQsixs+KxpILH1FvD4Fdr5ybd5i8L+ARw=;
 b=jC8FqkU+FAqwxl68D9tZS+SOHa90nIJRfsabqHUkXVj/K1Cwjz95ubrsQi+krsA1OA
 rhX0/649NVOwYarZbP7IfD41gngri0oynnXCoghPfYi3u4nkqcZ+GSoiQa4eiOcoqQp8
 k7h95E3mgJBDT8VSVm6gFw1gfWlt+E6PlTnUEmfscN/bOgVURT4n7JC+GZ/pzF2OLdLC
 Lvebe8ReA0dOn2r7IJP0jF/o36uw1tzZNQt3+b17r2HXCcMAri9RnWAlXMINn10nD/zx
 MTm/d1z+OMN8ZKe6hGV7Twr6CcN+SK9dSxBGoBoyhkIx37nRie+PQOkGRJ+txMyh8bex
 KcoQ==
X-Gm-Message-State: ALyK8tKvWLICB46P8iNUiXFsIQW8xq+m0WenB6nCy71DgLek8Odh6Quxn4xlpx/5lRdn8Q==
X-Received: by 10.194.88.5 with SMTP id bc5mr282063wjb.100.1466018320236;
 Wed, 15 Jun 2016 12:18:40 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-2d74-5e80-ca89-b56d.holly.idiocy.org.
 [2001:8b0:3f8:8129:2d74:5e80:ca89:b56d])
 by smtp.gmail.com with ESMTPSA id vv1sm39930288wjc.34.2016.06.15.12.18.39
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 15 Jun 2016 12:18:39 -0700 (PDT)
From: Alan Third <alan@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.1.50; NS port cursor hides character beneath
Date: Wed, 15 Jun 2016 20:18:38 +0100
Message-ID: <m2wplqtg4x.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

When switching between Mac OS "spaces", the character under the cursor
is not drawn.

emacs -Q
C-p C-p C-x 2

There should now be two windows with the cursor over a ';' character.

Switch to another space, and switch back.

The "active" cursor will momentarily show as black without ';' visible,
until it's redrawn. The inactive cursor will remain blank until
something else causes the screen to redraw.

This is appears to be limited to OS X, I don't see the same behaviour
under GNUStep.

Oddly, if the Emacs frame is NOT the active window when you switch back
to it's space, the cursor works as expected.

In GNU Emacs 25.1.50.3 (x86_64-apple-darwin15.5.0, NS appkit-1404.47 Version 10.11.5 (Build 15F34))
 of 2016-06-11 built on breton.holly.idiocy.org
Repository revision: eacdc9eb6c89346fb72535632a1c65f6483b639f
Windowing system distributor 'Apple', version 10.3.1404
Recent messages:
Mark set
Mark saved where search started
Quit
Mark set
Making completion list... [2 times]
Quit
Auto-saving...done
Making completion list...
Quit
Making completion list...

Configured features:
JPEG NOTIFY ACL LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS

Important settings:
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8

Major mode: ObjC/l

Minor modes in effect:
  diff-auto-refine-mode: t
  magit-auto-revert-mode: t
  auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  global-flycheck-mode: t
  flycheck-mode: t
  show-paren-mode: t
  override-global-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
None found.

Features:
(shadow emacsbug dabbrev find-dired grep sort smiley gnus-cite
gnus-async gnus-bcklg gnus-agent gnus-srvr gnus-score score-mode
nnvirtual nntp gnus-ml gnus-msg disp-table nndoc gnus-cache gnus-dup
gnus-art mm-uu mml2015 mm-view mml-smime smime dig gnus-sum gnus-group
gnus-undo gnus-start gnus-cloud nnimap nnmail mail-source utf7 netrc
nnoo parse-time gnus-spec gnus-int gnus-range gnus-win gnus nnheader
wid-edit epa-file mailalias mail-extr smtpmail sendmail mm-archive
network-stream starttls url-cache debbugs-gnu debbugs soap-client
url-http tls gnutls url-auth url-gw nsm warnings rng-xsd rng-dt rng-util
xsd-regexp xml ibuf-ext ibuffer ibuffer-loaddefs misearch multi-isearch
vc-git cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align
cc-engine cc-vars cc-defs linum magit-blame magit-stash magit-bisect
magit-remote magit-commit magit-sequence magit magit-apply magit-wip
magit-log magit-diff smerge-mode diff-mode magit-core magit-autorevert
autorevert filenotify magit-process magit-popup magit-mode magit-git crm
magit-section magit-utils git-commit help-fns log-edit message puny
rfc822 mml mml-sec epa epg gnus-util rmail rmail-loaddefs mm-decode
mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums
mailabbrev mail-utils gmm-utils mailheader pcvs-util add-log with-editor
async-bytecomp async tramp-sh tramp tramp-compat tramp-loaddefs trampver
shell pcomplete format-spec advice map dired dired-loaddefs term/xterm
xterm mm-util mail-prsvr unichar exec-path-from-shell powershell-mode
speedbar sb-image ezimage dframe post derived cl abc-mode paredit
go-eldoc go-mode url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util mailcap find-file ffap
thingatpt etags xref project compile comint ansi-color ring geiser
flycheck find-func rx subr-x dash windmove server edmacro kmacro paren
wombat-theme use-package diminish bind-key easy-mmode finder-inf
autoinsert go-mode-autoloads info package epg-config url-handlers
url-parse auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache url-vars seq byte-opt gv bytecomp byte-compile cl-extra
help-mode easymenu cconv cl-loaddefs pcase cl-lib time-date mule-util
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/ns-win ns-win ucs-normalize term/common-win tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese charscript case-table epa-hook jka-cmpr-hook help simple abbrev
obarray minibuffer cl-preloaded nadvice loaddefs button faces cus-face
macroexp files text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote kqueue
cocoa ns multi-tty make-network-process emacs)

Memory information:
((conses 16 812501 92754)
 (symbols 48 47956 87)
 (miscs 40 1240 1331)
 (strings 32 133425 18878)
 (string-bytes 1 4045032)
 (vectors 16 75041)
 (vector-slots 8 1527559 105286)
 (floats 8 3393 468)
 (intervals 56 42717 1001)
 (buffers 976 35))

-- 
Alan Third




Acknowledgement sent to Alan Third <alan@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#23774; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 5 Sep 2017 23:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.